Subject: Re: [emacs-snapshot/master] Changelog entry for 20090411-1

From: Reinhard Tartler <[email-masked]>
Date: Tue, 14 Apr 2009 15:08:26 +0200

Michael Albinus <[email-masked]> writes:

> Reinhard Tartler <[email-masked]> writes:
>
>>> I can reliably reproduce it with the package 'emacs-goodies-el'
>>> installed. Tramp works fine with 'emacs-goodies-el' uninstalled.
>>>
>>> Perhaps that helps you to further track down the issue?
>>
>> It seems that color-theme.el is causing the issue. I'm attaching the
>> lisp file for your convenience. Can someone else confirm that
>> color-theme.el breaks tramp?
>
> Could you, please, tell me the steps how to reproduce? I cannot
> reproduce, doing
>
> ~/src/emacs/src/emacs -Q 
> C-x C-f ~/lisp/color-theme.el
> M-x eval-current-buffer
> [Tools] -> [Color Themes] -> [Classic]
> C-x C-f /ssh::

sorry, no. This way I cannot reproduce it either :(

However during my tests, I discovered the following:

when pressing C-x C-f /ssh:
                          ^
                          at that point, tramp gets loaded. I notice
                          that in the minibuffer by a flashing message.

In a "clean" environment (running emacs with -Q), this happens only the
first time I do that in my emacs session. in my "unclean" session (that
is with my customisations), this happens every time.

Any clue how to debug these automatic loadings?

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4